org.jgrapht.alg.util

## Class Extension<T,E>

- java.lang.Object
- - org.jgrapht.alg.util.Extension<T,E>

- Type Parameters:
    `T` - class-type to be extended
    `E` - extension concept class-type

      public class Extension<T,E>
      extends Object

  Abstract extension manager allowing to extend given class-types with supplied extension's class-type saving source class object references

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Extension.BaseExtension`
    `static interface` | `Extension.ExtensionFactory<E>` Factory capable of producing given extension objects of the given class-type
    `static class` | `Extension.ExtensionManagerInstantiationException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Extension(Extension.ExtensionFactory<E> factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `createInstance()`
    `E` | `get(T t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Extension

          public Extension(Extension.ExtensionFactory<E> factory)

  - ### Method Detail

    - #### createInstance

          public E createInstance()

    - #### get

          public E get(T t)

Copyright © 2016. All rights reserved.